SplTempFileObject
Miscellaneous Classes and Interfaces
SplTempFileObject
PHP Manual

# SplTempFileObject::__construct

Construct a new temporary file object

### Description

public SplTempFileObject::__construct ([ int `$max_memory` ] )

Construct a new temporary file object.

### Parameters

`max_memory`

  The maximum amount of memory (in bytes, default is 2 MB) for the temporary file to use. If the temporary file exceeds this size, it will be moved to a file in the system's temp directory.

  If `max_memory` is negative, only memory will be used. If `max_memory` is zero, no memory will be used.

### Return Values

No value is returned.

### Errors/Exceptions

Throws a RuntimeException if an error occurs.

### Examples

Example #1 SplTempFileObject example

This example writes a temporary file in memory which can be written to and read from.

`<?php
$temp = new SplTempFileObject();
$temp->fwrite("This is the first line\n");
$temp->fwrite("And this is the second.\n");
echo "Written " . $temp->ftell() . " bytes to temporary file.\n\n";
// Rewind and read what was written
$temp->rewind();
foreach ($temp as $line) {
echo $line;
}
?>`

The above example will output something similar to:

    Written 47 bytes to temporary file.

    This is the first line
    And this is the second.

### See Also

- SplFileObject
- PHP input/output streams (for php://temp and php://memory)